aptpkg(5)

# NAME

aptpkg - file format reference

# SYNTAX

The file must be named _build_ and placed in a directory named the program.

## MAINTAINERS

The first line should start like so:

	```
	# Maintainer: Name <email@example.org>
	```

More maintainers can be listed after.

## COMMON

- name: Name of the package
- version: Version number
- rev: Revision number (often 0, only useful if type=file)
- type
	- type=deb: Debian package that will be downloaded and checked
	- type=file: Download file(s), check, and execute the _steps_ function
- url: Homepage of upstream
- description: Description similar to what upstream says

## SOURCE

Provide a URL pointing to the file to download

## SHA512SUMS

The output of `sha512sum filename` that will be used to verify

## STEPS

Steps to extract and "install" the package

- $builddir: The root directory
- cin-bin: Install an executable file (with permissions 755)
- cin-file: Install a file (with permissions 644)

## MAINTAINER SCRIPTS

Maintainer scripts can be placed along _build_: examples include preinst,
postinst, prerm, and postrm

# SEE ALSO

*aptpkg*(1)

Files that aptpkg.earne.link uses: https://git.sr.ht/~earnestma/aptpkg-pkgs

# AUTHORS

Sources, maintainers list, and how to submit bugs/ patches can be done at
https://sr.ht/~earnestma/aptpkg.
